Debian Bug report logs - #701166
ITP: haskell-derive -- Deriving instances for data types in Haskell

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Masayuki Hatta <mhatta@gmail.com>

Date: Fri, 22 Feb 2013 10:39:02 UTC

Owned by: Masayuki Hatta <mhatta@gmail.com>

Severity: wishlist

Fixed in version haskell-derive/2.5.11-1

Done: Masayuki Hatta (mhatta) <mhatta@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#701166; Package wnpp. (Fri, 22 Feb 2013 10:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Masayuki Hatta <mhatta@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 22 Feb 2013 10:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Masayuki Hatta <mhatta@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: haskell-derive -- Deriving instances for data types in Haskell
Date: Fri, 22 Feb 2013 19:37:30 +0900
Package: wnpp
Severity: wishlist
Owner: Masayuki Hatta <mhatta@gmail.com>

* Package name    : haskell-derive
  Version         : 2.5.11
  Upstream Author : Neil Mitchell <ndmitchell@gmail.com>
* URL             : http://hackage.haskell.org/package/derive-2.5.11
* License         : BSD
  Programming Lang: Haskell
  Description     : Deriving instances for data types in Haskell

 Data.Derive is a library and a tool for deriving instances for Haskell 
 programs.  It is designed to work with custom derivations, SYB and 
 Template Haskell mechanisms.  The tool requires GHC, but the generated 
 code is portable to all compilers.  This tool can be regarded as a 
 competitor to DrIFT.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 22 Feb 2013 19:06:05 GMT) Full text and rfc822 format available.

Reply sent to Masayuki Hatta (mhatta) <mhatta@debian.org>:
You have taken responsibility. (Sun, 17 Mar 2013 17:03:21 GMT) Full text and rfc822 format available.

Notification sent to Masayuki Hatta <mhatta@gmail.com>:
Bug acknowledged by developer. (Sun, 17 Mar 2013 17:03:21 GMT) Full text and rfc822 format available.

Message #12 received at 701166-close@bugs.debian.org (full text, mbox):

From: Masayuki Hatta (mhatta) <mhatta@debian.org>
To: 701166-close@bugs.debian.org
Subject: Bug#701166: fixed in haskell-derive 2.5.11-1
Date: Sun, 17 Mar 2013 17:00:06 +0000
Source: haskell-derive
Source-Version: 2.5.11-1

We believe that the bug you reported is fixed in the latest version of
haskell-derive, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 701166@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Masayuki Hatta (mhatta) <mhatta@debian.org> (supplier of updated haskell-derive package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 22 Feb 2013 08:54:07 +0900
Source: haskell-derive
Binary: libghc-derive-dev libghc-derive-prof libghc-derive-doc haskell-derive-utils
Architecture: source all amd64
Version: 2.5.11-1
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Masayuki Hatta (mhatta) <mhatta@debian.org>
Description: 
 haskell-derive-utils - Deriving instances for data types in Haskell
 libghc-derive-dev - Deriving instances for data types in Haskell
 libghc-derive-doc - Deriving instances for data types in Haskell
 libghc-derive-prof - Deriving instances for data types in Haskell
Closes: 701166
Changes: 
 haskell-derive (2.5.11-1) unstable; urgency=low
 .
   * Initial release. (closes: #701166)
   * Debianization generated by cabal-debian
Checksums-Sha1: 
 18d453744098d5dc8d1dffc261663f61716cb99e 2258 haskell-derive_2.5.11-1.dsc
 17a4377c84adf00eab98e8fb7c85e5dde087a3d9 61278 haskell-derive_2.5.11.orig.tar.gz
 d6ebe2da8610b6a0244bba60978a08f9db631d3a 3216 haskell-derive_2.5.11-1.debian.tar.gz
 5718ce91923c5185e1c955f27174eaa103f65d8c 225162 libghc-derive-doc_2.5.11-1_all.deb
 687d45d62e7743b487283df50f48d325fd675dd0 1910894 libghc-derive-dev_2.5.11-1_amd64.deb
 d3b5bc5e19a849544c2f916ed6ed2f8e735ec9f5 1787714 libghc-derive-prof_2.5.11-1_amd64.deb
 106c7f1284f58cffb9f8df0421187cc30ec9c19f 1853018 haskell-derive-utils_2.5.11-1_amd64.deb
Checksums-Sha256: 
 070a45bc0f3df098f05956f532d4908dc1e3f88ffb8c3652bf8d08907724431b 2258 haskell-derive_2.5.11-1.dsc
 19d5e4fa522c0c699af1f09969ca8ca9657754d462de7d9de362dc3b13996424 61278 haskell-derive_2.5.11.orig.tar.gz
 a6036f83fd9cbe61b30746f6082aa24f81117bd96327e998e5802417ba98c9b4 3216 haskell-derive_2.5.11-1.debian.tar.gz
 4e817f1a1317faf0c4bacd9b224dec66ea1dc6be77188eb8d34654b72f3b6d1d 225162 libghc-derive-doc_2.5.11-1_all.deb
 a00b50ec1fbeed155b388970e946ae919451bf6e1f2e01304cecc16a7af397da 1910894 libghc-derive-dev_2.5.11-1_amd64.deb
 b08168996f8a14452a7be5e490564563370102bb1d424d8920e33678815bde0b 1787714 libghc-derive-prof_2.5.11-1_amd64.deb
 c0310f32591b3867d1538f907d90220787b705209c303e5751c6bf3b989f246c 1853018 haskell-derive-utils_2.5.11-1_amd64.deb
Files: 
 6df827fc02eb5e8c072cce3a88873668 2258 haskell extra haskell-derive_2.5.11-1.dsc
 d0117136fca9d4ff143dd960ccc95859 61278 haskell extra haskell-derive_2.5.11.orig.tar.gz
 55f1b76bb7db17585d97e4450bc32316 3216 haskell extra haskell-derive_2.5.11-1.debian.tar.gz
 6cdc9738c8a3fbaad32cf92d76761f7f 225162 doc extra libghc-derive-doc_2.5.11-1_all.deb
 31084d332a2c35441011c6efc242ce1d 1910894 haskell extra libghc-derive-dev_2.5.11-1_amd64.deb
 05c2ab9efa6e2bfabf1b8a0139dfdad0 1787714 haskell extra libghc-derive-prof_2.5.11-1_amd64.deb
 99d10e46922468c483983dd32de020e2 1853018 misc extra haskell-derive-utils_2.5.11-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEnVfQACgkQy2+jQOcHWlTFhwCbBp7WEt7h84ud8yUyKuebwrf2
I5QAn3w1Z3paqXcoHsAHDBoSEnA4lmmC
=XdCI
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 15 Apr 2013 07:32:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:12:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.